[tahoe-dev] 1.9 update: soon! Need help with PyCrypto-2.4!

Brian Warner warner at lothar.com
Fri Oct 28 07:50:42 UTC 2011


I'd love to release 1.9 this weekend. I've given up on most of the
lingering docs tickets. I have some more manual testing to do (in
particular updating the "tahoe-deps" tarball and testing against it),
but we're pretty close.

One problem that surfaced, which I need someone to investigate:
FreeStorm's CentOS build failed last monday, probably because
PyCrypto-2.4 was released last week, and the buildslave seems to have
had problems compiling it:

 http://tahoe-lafs.org/buildbot/builders/FreeStorm%20CentOS5-i386/builds/551/steps/build/logs/stdio

The last few lines are:

  creating build/lib.linux-i686-2.4/Crypto/Protocol
  copying lib/Crypto/Protocol/Chaffing.py ->
build/lib.linux-i686-2.4/Crypto/Protocol
  copying lib/Crypto/Protocol/AllOrNothing.py ->
build/lib.linux-i686-2.4/Crypto/Protocol
  copying lib/Crypto/Protocol/__init__.py ->
build/lib.linux-i686-2.4/Crypto/Protocol
  creating build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/_DSA.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/RSA.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/_RSA.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/ElGamal.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/DSA.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/_slowmath.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/pubkey.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/qNEW.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  copying lib/Crypto/PublicKey/__init__.py ->
build/lib.linux-i686-2.4/Crypto/PublicKey
  running build_ext
  error: Setup script exited with error: src/config.h: No such file or
directory


Can someone look into this? It might be trivial, or something wrong with
the buildslave, but I'd like to know that current tahoe trunk will
correctly download+compile PyCrypto-2.4 .

thanks!
 -Brian



More information about the tahoe-dev mailing list